#include "datastructures/BarnesHutTree.hpp"
#include <iostream>

using namespace nbody;

int main(int argc, char* argv[]) {
	BarnesHutTree tree;

	if (argc == 2) {
		vector<Body> bodies = Tree::dubinskiParse(argv[1]);

		std::cout << bodies.size() << endl;
		tree.build(bodies);

	} else {
		std::cout << "You need to specify the body input file." << endl;
	}
	return 0;
}
